Index: npl/system/gcc/gcc.md5
===================================================================
--- npl/system/gcc/gcc.md5	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc.md5	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,6 +1,9 @@
 0e0318be407e51fdf7ba6777eabfdf73  ./antlr-runtime-3.4.jar
+3d333df77302ed89e06a4a8539943b7d  ./c89.sh
+da96f545b863e57c6ab2598c1ea9a740  ./c99.sh
 8430857d8ac011e229f6a10099ef8d50  ./create_gcj_jvm.sh
-d7cd6a27c8801e66cbaa964a039ecfdb  ./ecj-4.5.jar
+7339f199ba11c941890031fd9981d7be  ./ecj-4.9.jar
 032d18379479cdfa4fb0211ee63e07ee  ./ecj.sh
+856268004203d1cc51768395dd959877  ./ecj.url
 62eff959f57f878067aad665ed8213a6  ./fastjar-0.97.tar.xz
 fa67bbcfa26c04fba0b06edbaab36ff8  ./fastjar-patches/1000-fastjar-0.97-segfault.patch.gz
@@ -9,26 +12,30 @@
 82101089b3bbe7fa1dcd3542de1750b8  ./fastjar-patches/1003-fastjar-CVE-2010-0831.patch.gz
 7db0bbd8111353d3dfd69ffab5bcc79e  ./fastjar-patches/1004-fastjar-man.patch.gz
-2ce0bc44964a7a5896164581d03bdc45  ./gcc-4.8.4.tar.xz
-d45ef7ca077355136730051c3c161294  ./gcc_dev.pkg
-56e069f39be8ed39008d189c46fe8568  ./gcc_g++_dev.pkg
-3565c5fe2c45590133ef94b0fd50c73a  ./gcc_gfortran_dev.pkg
-38c8f0534be10e955d85ab6751cf3237  ./gcc_gfortran.pkg
-0cd71aff74741ddd2776b924d9aa19a5  ./gcc_g++_gch.pkg
-496bd3bbaf0c30f405bcffb1a07e78d4  ./gcc_gnat.pkg
-456d415ed22665d649cce9573a493ffc  ./gcc_go_dev.pkg
-97b614d0cc916262c1b2a47a106d844c  ./gcc_go.pkg
-55909b93618ef836f18fd943486dfcb1  ./gcc_g++.pkg
-c4fc7a6607830aaecf1d65f1c2d47050  ./gcc_java_dev.pkg
-e4af50c8a7f978508723beebdcb888d3  ./gcc_java.pkg
+85eb6796cfe20c06ecf99105ec4b28c8  ./gcc-5.4.0.tar.xz
+b6f2bbb679113a23d937f2d8be4ccc66  ./gcc.66782.diff.gz
+10405a6e18aca3fc8ad0f4b227f9b03a  ./gcc_dev.pkg
+95aa6c3a17bef5a0adc8a1ab14581b44  ./gcc_g++_dev.pkg
+0d4e31986aa70a707ee54c3e1b0d94b9  ./gcc_gfortran_dev.pkg
+82c7effcaa224c1a0392b4fae7198b13  ./gcc_gfortran.pkg
+b37c463a511d8ad7a147b9497122c02f  ./gcc_g++_gch_dev.pkg
+28c1bf800ca04672f310ccd5241ef5db  ./gcc_g++_gch.pkg
+e4430b546c02ddf75d6aaa0f51cf4f7b  ./gcc_gnat_dev.pkg
+5207506aaff1783acef3d85382ef8799  ./gcc_gnat.pkg
+a9f7e7f8e6940fa6be81267e857b44da  ./gcc_go_dev.pkg
+4094d8c0d9f9528ff94bf99a129bbbaf  ./gcc_go.pkg
+5d15062fbfd843c38c474bd1ab7a55e0  ./gcc_g++.pkg
+904a453ec68b6d26d8e2a04fd73b0144  ./gcc_java_dev.pkg
+99546fdf5259742e48a8de11b29dbd04  ./gcc_java.pkg
 04b803eabffa4cd25e4107aab5990898  ./gcc-no_fixincludes.diff.gz
-7576d766ebffd9dcc386380701d9646f  ./gcc_objc_dev.pkg
-c17cfdb41fa257550f46df1cd23484a5  ./gcc_objc.pkg
-95d69342a9689f3bbc5cc10c2a4d0bba  ./gcc.pkg
-cf0eb430a0b91cca81bb9d3ca68aaf2f  ./gcc.SlackBuild
-75201004dd198f74894d95ccb4eec0b5  ./gcc.SlackBuild.log.gz
-c6adca845a2b19a3eadaa30c332febfd  ./slack-desc.gcc
+eb9c9a1319aadc461cba70a614c49a51  ./gcc_objc_dev.pkg
+f4db95bbaef0860ac36eb9f01536eaed  ./gcc_objc.pkg
+d7fedf1eb56654a2be7ba7791b4300f9  ./gcc.pkg
+041508af7cba9b00e34c15c956de37b2  ./gcc.SlackBuild
+b5a98f9aa5fcd509f50be561cf11757c  ./gcc.SlackBuild.log.gz
+e99e3a86d319d2e55cd05e0d6979111c  ./gcc.SlackBuild.orig
+19ee8dd760ade9286bc687a3ea4170d6  ./slack-desc.gcc
 3354fda9713c3f18f3725ea7eb2c7b1b  ./slack-desc.gcc-g++
 d7d6a2dce931c5b59e43b90c1169d93a  ./slack-desc.gcc-gfortran
-a124d80662594b2dbc28ec4cabcecdbb  ./slack-desc.gcc-gnat
+8f2dd19bee5b49b1301c3847e58b9ac4  ./slack-desc.gcc-gnat
 a8385636f762f42d32a95a64abb9b84b  ./slack-desc.gcc-go
 1ab65690a2534493c39d01bc811e2302  ./slack-desc.gcc-java
Index: npl/system/gcc/gcc.version
===================================================================
--- npl/system/gcc/gcc.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_dev.arch
===================================================================
--- npl/system/gcc/gcc_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_dev.build
===================================================================
--- npl/system/gcc/gcc_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+6205
Index: npl/system/gcc/gcc_dev.version
===================================================================
--- npl/system/gcc/gcc_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_g++.arch
===================================================================
--- npl/system/gcc/gcc_g++.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_g++.build
===================================================================
--- npl/system/gcc/gcc_g++.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+6205
Index: npl/system/gcc/gcc_g++.version
===================================================================
--- npl/system/gcc/gcc_g++.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_g++_dev.arch
===================================================================
--- npl/system/gcc/gcc_g++_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_g++_dev.build
===================================================================
--- npl/system/gcc/gcc_g++_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+6205
Index: npl/system/gcc/gcc_g++_dev.version
===================================================================
--- npl/system/gcc/gcc_g++_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_g++_gch.arch
===================================================================
--- npl/system/gcc/gcc_g++_gch.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_gch.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_g++_gch.build
===================================================================
--- npl/system/gcc/gcc_g++_gch.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_gch.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6228
+2
Index: npl/system/gcc/gcc_g++_gch.version
===================================================================
--- npl/system/gcc/gcc_g++_gch.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_g++_gch.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_g++_gch_dev.arch
===================================================================
--- npl/system/gcc/gcc_g++_gch_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_g++_gch_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/gcc/gcc_g++_gch_dev.build
===================================================================
--- npl/system/gcc/gcc_g++_gch_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_g++_gch_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+2
Index: npl/system/gcc/gcc_g++_gch_dev.version
===================================================================
--- npl/system/gcc/gcc_g++_gch_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_g++_gch_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+5.4.0
Index: npl/system/gcc/gcc_gfortran.arch
===================================================================
--- npl/system/gcc/gcc_gfortran.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_gfortran.build
===================================================================
--- npl/system/gcc/gcc_gfortran.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_gfortran.version
===================================================================
--- npl/system/gcc/gcc_gfortran.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_gfortran_dev.arch
===================================================================
--- npl/system/gcc/gcc_gfortran_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_gfortran_dev.build
===================================================================
--- npl/system/gcc/gcc_gfortran_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_gfortran_dev.version
===================================================================
--- npl/system/gcc/gcc_gfortran_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gfortran_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_gnat.arch
===================================================================
--- npl/system/gcc/gcc_gnat.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gnat.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_gnat.build
===================================================================
--- npl/system/gcc/gcc_gnat.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gnat.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_gnat.version
===================================================================
--- npl/system/gcc/gcc_gnat.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_gnat.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_gnat_dev.arch
===================================================================
--- npl/system/gcc/gcc_gnat_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_gnat_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/gcc/gcc_gnat_dev.build
===================================================================
--- npl/system/gcc/gcc_gnat_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_gnat_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+2
Index: npl/system/gcc/gcc_gnat_dev.version
===================================================================
--- npl/system/gcc/gcc_gnat_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/gcc/gcc_gnat_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,1 @@
+5.4.0
Index: npl/system/gcc/gcc_go.arch
===================================================================
--- npl/system/gcc/gcc_go.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_go.build
===================================================================
--- npl/system/gcc/gcc_go.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_go.version
===================================================================
--- npl/system/gcc/gcc_go.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_go_dev.arch
===================================================================
--- npl/system/gcc/gcc_go_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_go_dev.build
===================================================================
--- npl/system/gcc/gcc_go_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_go_dev.version
===================================================================
--- npl/system/gcc/gcc_go_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_go_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_java.arch
===================================================================
--- npl/system/gcc/gcc_java.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_java.build
===================================================================
--- npl/system/gcc/gcc_java.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_java.version
===================================================================
--- npl/system/gcc/gcc_java.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_java_dev.arch
===================================================================
--- npl/system/gcc/gcc_java_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_java_dev.build
===================================================================
--- npl/system/gcc/gcc_java_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_java_dev.version
===================================================================
--- npl/system/gcc/gcc_java_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_java_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_objc.arch
===================================================================
--- npl/system/gcc/gcc_objc.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_objc.build
===================================================================
--- npl/system/gcc/gcc_objc.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+6205
Index: npl/system/gcc/gcc_objc.version
===================================================================
--- npl/system/gcc/gcc_objc.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/gcc_objc_dev.arch
===================================================================
--- npl/system/gcc/gcc_objc_dev.arch	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc_dev.arch	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/system/gcc/gcc_objc_dev.build
===================================================================
--- npl/system/gcc/gcc_objc_dev.build	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc_dev.build	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-6203
+2
Index: npl/system/gcc/gcc_objc_dev.version
===================================================================
--- npl/system/gcc/gcc_objc_dev.version	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/gcc_objc_dev.version	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -1,1 +1,1 @@
-4.8.4
+5.4.0
Index: npl/system/gcc/slack-desc.gcc
===================================================================
--- npl/system/gcc/slack-desc.gcc	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/slack-desc.gcc	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -12,6 +12,6 @@
 gcc:
 gcc: This package contains those parts of the compiler collection needed to
-gcc: compile C code.  Other packages add C++, Fortran, Go, Objective-C, and
-gcc: Java support to the compiler core.
+gcc: compile C code.  Other packages add Ada, C++, Fortran, Go,
+gcc: Objective-C, and Java support to the compiler core.
 gcc:
 gcc:
Index: npl/system/gcc/slack-desc.gcc-gnat
===================================================================
--- npl/system/gcc/slack-desc.gcc-gnat	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/gcc/slack-desc.gcc-gnat	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -9,11 +9,11 @@
 gcc-gnat: gcc-gnat (Ada support for GCC)
 gcc-gnat:
-gcc-gnat: Ada 95 support for the GNU Compiler Collection.
+gcc-gnat: Ada support for the GNU Compiler Collection.
 gcc-gnat:
 gcc-gnat: This package contains those parts of the compiler collection needed to
-gcc-gnat: compile Ada 95 code.  Ada95 is the object oriented successor to the
-gcc-gnat: Ada83 language.  The base gcc package is also required.
+gcc-gnat: compile Ada code.  GNAT implements Ada 95, Ada 2005 and Ada 2012, and
+gcc-gnat: it may also be invoked in Ada 83 compatibility mode.  By default, GNAT
+gcc-gnat: assumes Ada 2012.  The base gcc package is also required.
 gcc-gnat:
 gcc-gnat:
 gcc-gnat:
-gcc-gnat:
Index: npl/system/glibc/doinst.sh-glibc
===================================================================
--- npl/system/glibc/doinst.sh-glibc	(revision 90f43e52628c9bbe952fdbbbe4183772a6675fb2)
+++ npl/system/glibc/doinst.sh-glibc	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -70,23 +70,4 @@
 rm -rf lib/incoming
 # Done installing NPTL glibc libraries.
-
-# Timezone stuff:
-if [ -L etc/localtime -a ! -r etc/localtime-copied-from ]; then
-  mv etc/localtime etc/localtime-copied-from
-  chroot . /bin/cp etc/localtime-copied-from etc/localtime
-fi
-# Add the default timezone in /etc, if none exists:
-if [ ! -r etc/localtime ]; then
-  ( cd etc ; rm -rf localtime localtime-copied-from )
-  ( cd etc ; ln -sf /usr/share/zoneinfo/Factory localtime-copied-from )
-  chroot . /bin/cp etc/localtime-copied-from etc/localtime
-fi
-# Add the default link in /usr/share/zoneinfo, if none exists:
-if [ ! -L usr/share/zoneinfo/localtime ]; then
-  ( cd usr/share/zoneinfo ; rm -rf localtime )
-  ( cd usr/share/zoneinfo ; ln -sf /etc/localtime localtime )
-fi
-( cd usr/share/zoneinfo ; rm -rf timeconfig )
-( cd usr/share/zoneinfo ; ln -sf /usr/sbin/timeconfig timeconfig )
 
 # Handle config files:
@@ -165,6 +146,7 @@
 ( cd usr/lib ; rm -rf libnss_files.so )
 ( cd usr/lib ; ln -sf ../../lib/libnss_files.so.2 libnss_files.so )
-( cd usr/lib ; rm -rf libm.so )
-( cd usr/lib ; ln -sf ../../lib/libm.so.6 libm.so )
+# This is now a linker script:
+#( cd usr/lib ; rm -rf libm.so )
+#( cd usr/lib ; ln -sf ../../lib/libm.so.6 libm.so )
 ( cd usr/lib ; rm -rf libutil.so )
 ( cd usr/lib ; ln -sf ../../lib/libutil.so.1 libutil.so )
Index: npl/system/glibc/glibc-2.24.tar.xz.sig
===================================================================
--- npl/system/glibc/glibc-2.24.tar.xz.sig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
+++ npl/system/glibc/glibc-2.24.tar.xz.sig	(revision 031ab693def62c4aaf3e6440e1655c4fe368b6c4)
@@ -0,0 +1,17 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1
+
+iQIcBAABAgAGBQJXo1gPAAoJEBZ5K06iU0D4XQcP/3979bgeQZFIzdhhW9qDGf8y
+3Zkij6WyytpSM0xm80bZCTD/4fkVYkiDOhgzfghrI0T3BQWitrQIUS4q94VtbeRk
+i0QbPdYZ6xmnS56OcyxK+hdqr8XpGxRwfCZH+hCEbXjGblYiViXY54VSL2oWj6q9
+Lolyi7LoZZg3nM7Hf7/yEqa38eKq0N6654MXaVZi9wz31YHweJHsI1rdUkYEpWxp
+YIc6eCmhZpyj09Vk7s4qriNqBXmBLZbAcqOAL7hzc1H4aRVGLWdR6JQAClOQtQ6b
+SrW4/MO4re5coz1EYWJLpzkDOnH/pkhA0gPeM7PDm+3t2DJa/6k01Jljxjswfujf
+EflmRw/FRG08/QADaBrtmu8s79/07xJUjf/qLhg0YIJL2aBqaVNkxSZhE+aOIOXD
+FrqX+fVhG4FX2YlQ5twDSU+7Uc370Gh7b8QIEOVvd5Tllg52i200aMB2wlVO+Rl5
+oKN21dhbMzzQvJM9IxrBcWoymEE3kQXid+IBZxShg6JOEv9ZKpHKJGRtueJ1EM3R
+V44rfJ5hVYn+U872lEgf2jf0w1A0aSMCVAX8N/8BO9NAZ9waM6IBgc3v1ng6uWdn
+o4CdOHK6WP+GrbJ8Rbva8co16UHd9Ae1Vcwe5tDU7TxfFFkJ0RPVzVgTdl65+arX
+VU1J1Kp1fBvbgwEacwxC
+=yUZV
+-----END PGP SIGNATURE-----
